安裝 SUPEE-7405 Security Patch 與除錯

You are here:
< All Topics

Magento 在 2016年 1月 20日 發佈最新的安全補丁(SUPEE-7405)

目前已知的相容性問題只有『後台訂單頁會顯示空白頁』,原因是 PHP 版本低於 5.4

如果發生這個問題,可以參照『PHP syntax error after SUPEE-7405 : unexpected [』來修正

在進行 PATCH 之前,也需先將含 SUPEE-6788 之前的補丁處理完

可以使用 MageReport.com 提供的服務檢測有哪些 PATCH 還沒有補上

 

接著簡單介紹如何使用 SSH patch SUPEE-7405

Step 1:下載 Patch

https://www.magentocommerce.com/download 可以下載到各個版本的 Patches

我們目前的版本為 1.9.2.1,所以下載這個版本使用的 SUPEE-7405 即可

Step 2:執行 Patch 檔

將 PATCH_SUPEE-7405_CE_1.9.2.2_v1-2016-01-20-04-35-33.sh 放置於 Magento 的根目錄後執行

# chmod +x PATCH_SUPEE-7405_CE_1.9.2.2_v1-2016-01-20-04-35-33.sh
# ./PATCH_SUPEE-7405_CE_1.9.2.2_v1-2016-01-20-04-35-33.sh
Checking if patch can be applied/reverted successfully...
Patch was applied/reverted successfully.

這樣就完成補丁了

如果補丁造成無法正常使用,也可以使用 –revert 的指令恢復之未修補的狀態

# ./PATCH_SUPEE-7405_CE_1.9.2.2_v1-2016-01-20-04-35-33.sh --revert

 Step 3:清除 OPCache

如果沒有清除 OPCache,系統還是會繼續以未更新的程式碼運行

清除 OPCache 後,就會使用最新的程式碼囉!

Previous 安裝 SUPEE-6788 Security Patch 與除錯
Next 完整移除不使用的模組
Table of Contents